import { GraphQLSchema, ExecutionResult, Source, GraphQLFieldResolver, GraphQLTypeResolver } from 'graphql';
import { Maybe } from 'graphql/jsutils/Maybe';
import { WithPostGraphileContextFn } from 'postgraphile/build/postgraphile/withPostGraphileContext';
import { WithPostGraphileContextOptions } from 'postgraphile';
import { Pool } from 'pg';
export declare type GQLFunction = (schema: GraphQLSchema, source: Source | string, rootValue?: any, contextValue?: any, variableValues?: Maybe<{
    [key: string]: any;
}>, operationName?: Maybe<string>, fieldResolver?: Maybe<GraphQLFieldResolver<any, any>>, typeResolver?: Maybe<GraphQLTypeResolver<any, any>>) => Promise<ExecutionResult>;
export declare class QueryPerformer {
    private readonly schema;
    private readonly gql;
    private readonly postgraphileQueryHandler;
    readonly pool: Pool;
    private readonly contextOptions;
    constructor(schema: GraphQLSchema, gql: GQLFunction, postgraphileQueryHandler: WithPostGraphileContextFn, pool: Pool, contextOptions: WithPostGraphileContextOptions);
    perform(query: any, variables: any, operationName?: string, jwtToken?: string): Promise<any>;
}
